package provide Freetype::ftgasp 0.1

if {![info exists _source([file tail [info script]])]} {
package require Freetype::ft2build
package require $FT_FREETYPE

set FT_GASP_NO_TABLE               -1
set FT_GASP_DO_GRIDFIT           [expr 0x01]
set FT_GASP_DO_GRAY              [expr 0x02]
set FT_GASP_SYMMETRIC_SMOOTHING  [expr 0x08]
set FT_GASP_SYMMETRIC_GRIDFIT    [expr 0x10]

if {[catch {::ffidl::symbol $::ft::lib FT_Get_Gasp} _symbol] == 0} {
::ffidl::callout _FT_Get_Gasp {pointer FT_UInt} FT_Int $_symbol
proc FT_Get_Gasp {face ppem} {
    set result [_FT_Get_Gasp [$face getPointer] $ppem]
    return $result
}
}

set _source([file tail [info script]]) 1
}
